Name:         xorg-x11-xinit
Version:      1.4.1
Release:      3
Summary:      X.Org X11 X Window System xinit startup scripts
License:      MIT
URL:          https://www.x.org
Source0:      https://xorg.freedesktop.org/archive/individual/app/xinit-%{version}.tar.bz2
Source1:      xinitrc-common
Source2:      xinitrc
Source3:      Xclients
Source4:      Xmodmap
Source5:      Xresources
Source6:      Xsession
Source7:      localuser.sh
Source8:      xinit-compat.desktop
Source9:      xinit-compat

Patch0000:    xinit-1.0.2-client-session.patch
Patch0001:    0003-startx-Make-startx-auto-display-select-work-with-per.patch
Patch0002:    xinit-1.3.4-set-XORG_RUN_AS_USER_OK.patch

BuildRequires:automake gcc gcc-c++ pkgconfig(x11) dbus-devel

Requires:     xorg-x11-xauth coreutils xhost
Provides:     xinit = %{version} %{name}-session = %{version}-%{release}
Obsoletes:    %{name}-session < %{version}-%{release}

%description
X.Org X11 X Window System xinit startup scripts.

%package help
Summary:   Help document for the xorg-x11-xinit package
Buildarch: noarch

%description help
Help document for th xorg-x11-xinit package.

%prep
%autosetup -n xinit-%{version} -p1

%build
%configure
%make_build

%install
%make_install
install -p -m644 -D %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/xsessions/xinit-compat.desktop
install -D -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc-common
for script in %{SOURCE2} %{SOURCE3} %{SOURCE6} ; do
     install -p -m 755 $script $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/${script##*/}
done
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/X11/Xmodmap
install -p -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/X11/Xresources
install -D -p -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/localuser.sh
install -d %{buildroot}%{_sysconfdir}/X11/xinit/Xclients.d
install -D -p -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_libexecdir}/xinit-compat

%files
%doc COPYING README.md ChangeLog
%{_bindir}/*
%{_sysconfdir}/X11/xinit/*
%config(noreplace) %{_sysconfdir}/X11/*
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_libexecdir}/xinit-compat
%exclude %{_datadir}/xsessions/xinit-compat.desktop

%files help
%{_mandir}/man1/startx.1*
%{_mandir}/man1/xinit.1*

%changelog
* Mon Jun 19 2023 peijiankang <peijiankang@kylinos.cn> - 1.4.1-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: Support UKUI desktop

* Wed Mar 30 2022 ouyangminxiang <ouyangminxiang@kylinsec.com.cn> - 1.4.1-2
- Support kiran desktop

* Wed Jan 12 2022 yaoxin <yaoxin30@huawei.com> - 1.4.1-1
- Upgrade xorg-x11-xinit to 1.4.1

* Thu Jul 29 2021 zhangshaoning <zhangshaoning@uniontech.com> - 1.4.0-7
- Remove harmless file: xinit-compat.desktop

* Thu Jul 30 2020 douyan <douyan@kylinos.cn> - 1.4.0-6
- update spec, add xinitrc,Xsession file

* Wed Jan 15 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.4.0-5
- update spec

* Fri Oct 25 2019 Lijin Yang <yanglijin@huawei.com> - 1.4.0-4
- Package init
